| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DomainParticipantExtendedQos Class Reference

`#include <DomainParticipantExtendedQos.hpp>`

Inheritance diagram for DomainParticipantExtendedQos:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DomainParticipantExtendedQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DomainParticipantExtendedQos ()
| Destructor.
DomainParticipantExtendedQos & | operator= (const DomainParticipantQos &qos)
bool | operator== (const DomainParticipantExtendedQos &b) const
bool | operator== (const DomainParticipantQos &b) const override
const uint32_t & | domainId () const
| Getter for domainId.
uint32_t & | domainId ()
| Getter for domainId.
Public Member Functions inherited from DomainParticipantQos
FASTDDS_EXPORTED_API | DomainParticipantQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DomainParticipantQos ()
| Destructor.
const UserDataQosPolicy & | user_data () const
| Getter for UserDataQosPolicy.
UserDataQosPolicy & | user_data ()
| Getter for UserDataQosPolicy.
void | user_data (const UserDataQosPolicy &value)
| Setter for UserDataQosPolicy.
const EntityFactoryQosPolicy & | entity_factory () const
| Getter for EntityFactoryQosPolicy.
EntityFactoryQosPolicy & | entity_factory ()
| Getter for EntityFactoryQosPolicy.
void | entity_factory (const EntityFactoryQosPolicy &value)
| Setter for EntityFactoryQosPolicy.
const ParticipantResourceLimitsQos & | allocation () const
| Getter for ParticipantResourceLimitsQos.
ParticipantResourceLimitsQos & | allocation ()
| Getter for ParticipantResourceLimitsQos.
void | allocation (const ParticipantResourceLimitsQos &allocation)
| Setter for ParticipantResourceLimitsQos.
const PropertyPolicyQos & | properties () const
| Getter for PropertyPolicyQos.
PropertyPolicyQos & | properties ()
| Getter for PropertyPolicyQos.
void | properties (const PropertyPolicyQos &properties)
| Setter for PropertyPolicyQos.
const WireProtocolConfigQos & | wire_protocol () const
| Getter for WireProtocolConfigQos.
WireProtocolConfigQos & | wire_protocol ()
| Getter for WireProtocolConfigQos.
void | wire_protocol (const WireProtocolConfigQos &wire_protocol)
| Setter for WireProtocolConfigQos.
const TransportConfigQos & | transport () const
| Getter for TransportConfigQos.
TransportConfigQos & | transport ()
| Getter for TransportConfigQos.
void | transport (const TransportConfigQos &transport)
| Setter for TransportConfigQos.
const fastcdr::string_255 & | name () const
| Getter for the Participant name.
fastcdr::string_255 & | name ()
| Getter for the Participant name.
void | name (const fastcdr::string_255 &value)
| Setter for the Participant name.
FlowControllerDescriptorList & | flow_controllers ()
| Getter for FlowControllerDescriptorList.
FASTDDS_EXPORTED_API bool | compare_flow_controllers (const DomainParticipantQos &qos) const
| Compares the flow controllers of two DomainParticipantQos element-wise.
const FlowControllerDescriptorList & | flow_controllers () const
| Getter for FlowControllerDescriptorList.
rtps::ThreadSettings & | builtin_controllers_sender_thread ()
| Getter for builtin flow controllers sender threads ThreadSettings.
const rtps::ThreadSettings & | builtin_controllers_sender_thread () const
| Getter for builtin flow controllers sender threads ThreadSettings.
FASTDDS_EXPORTED_API void | setup_transports (rtps::BuiltinTransports transports, const rtps::BuiltinTransportsOptions &options=rtps::BuiltinTransportsOptions())
| Provides a way of easily configuring transport related configuration on certain pre-defined scenarios with certain options.
void | builtin_controllers_sender_thread (const rtps::ThreadSettings &value)
| Setter for the builtin flow controllers sender threads ThreadSettings.
rtps::ThreadSettings & | timed_events_thread ()
| Getter for timed event ThreadSettings.
const rtps::ThreadSettings & | timed_events_thread () const
| Getter for timed event ThreadSettings.
void | timed_events_thread (const rtps::ThreadSettings &value)
| Setter for the timed event ThreadSettings.
rtps::ThreadSettings & | discovery_server_thread ()
| Getter for discovery server ThreadSettings.
const rtps::ThreadSettings & | discovery_server_thread () const
| Getter for discovery server ThreadSettings.
void | discovery_server_thread (const rtps::ThreadSettings &value)
| Setter for the discovery server ThreadSettings.
rtps::ThreadSettings & | typelookup_service_thread ()
| Getter for TypeLookup service ThreadSettings.
const rtps::ThreadSettings & | typelookup_service_thread () const
| Getter for TypeLookup service ThreadSettings.
void | typelookup_service_thread (const rtps::ThreadSettings &value)
| Setter for the TypeLookup service ThreadSettings.

## Additional Inherited Members

Public Types inherited from DomainParticipantQos
using | FlowControllerDescriptorList = std::vector<std::shared_ptr<fastdds::rtps::FlowControllerDescriptor>>
| User defined flow controllers to use alongside.

## Constructor & Destructor Documentation

## ◆ DomainParticipantExtendedQos()

FASTDDS_EXPORTED_API DomainParticipantExtendedQos | ( |  | ) |

inline

Constructor.

## ◆ ~DomainParticipantExtendedQos()

virtual FASTDDS_EXPORTED_API ~DomainParticipantExtendedQos | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ domainId() [1/2]

uint32_t & domainId | ( |  | ) |

inline

Getter for domainId.

Returns
  domainId reference

## ◆ domainId() [2/2]

const uint32_t & domainId | ( |  | ) | const

inline

Getter for domainId.

Returns
  domainId reference

## ◆ operator=()

DomainParticipantExtendedQos & operator= | ( | const DomainParticipantQos & | qos | ) |

inline

## ◆ operator==() [1/2]

bool operator== | ( | const DomainParticipantExtendedQos & | b | ) | const

inline

## ◆ operator==() [2/2]

bool operator== | ( | const DomainParticipantQos & | b | ) | const

inline override virtual

Reimplemented from DomainParticipantQos.

The documentation for this class was generated from the following file:

- include/fastdds/dds/domain/qos/DomainParticipantExtendedQos.hpp